Package virtuoso.jdbc4

## Class VirtuosoXADataSource

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoDataSource
  - - virtuoso.jdbc4.VirtuosoConnectionPoolDataSource
    - - virtuoso.jdbc4.VirtuosoXADataSource

All Implemented Interfaces:
  `javax.sql.CommonDataSource`, `javax.sql.XADataSource`

    public class VirtuosoXADataSource
    extends VirtuosoConnectionPoolDataSource
    implements javax.sql.XADataSource

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class virtuoso.jdbc4.VirtuosoConnectionPoolDataSource

`initialPoolSize, maxIdleTime, maxPoolSize, maxStatements, minPoolSize, n_initialPoolSize, n_maxIdleTime, n_maxPoolSize, n_maxStatements, n_minPoolSize, n_propertyCycle, propertyCycle`

### Fields inherited from class virtuoso.jdbc4.VirtuosoDataSource

`certificate, charSet, databaseName, dataSourceName, delegate, description, fbs, keystorepass, keystorepath, log_enable, logFileName, loginTimeout, logWriter, password, portNumber, provider, pstmtpoolsize, pwdclear, recvbs, roundrobin, sendbs, serverName, ssl, truststorepass, truststorepath, usepstmtpool, user`

### Constructor Summary

Constructors
`VirtuosoXADataSource​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.naming.Reference` `getReference​()`
`javax.sql.XAConnection` `getXAConnection​()`
`javax.sql.XAConnection` `getXAConnection​(java.lang.String user, java.lang.String password)`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class virtuoso.jdbc4.VirtuosoConnectionPoolDataSource

`addProperties, checkPool, checkPropQueue, close, connectionClosed, connectionErrorOccurred, fill, get_statistics, getAll_statistics, getConnection, getConnection, getInitialPoolSize, getMaxIdleTime, getMaxPoolSize, getMaxStatements, getMinPoolSize, getPooledConnection, getPooledConnection, getPropertyCycle, setInitialPoolSize, setMaxIdleTime, setMaxPoolSize, setMaxStatements, setMinPoolSize, setPropertyCycle`

### Methods inherited from class virtuoso.jdbc4.VirtuosoDataSource

`create_url, create_url_key, createConnProperties, getCertificate, getCharset, getDatabaseName, getDataSourceName, getDelgate, getDescription, getFbs, getKeystorepass, getKeystorepath, getLog_Enable, getLogFileName, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getPortNumber, getProvider, getPstmtpoolsize, getPwdClear, getRecvbs, getRoundrobin, getSendbs, getServerName, getSsl, getTruststorepass, getTruststorepath, getUsepstmtpool, getUser, isWrapperFor, setCertificate, setCharset, setDatabaseName, setDataSourceName, setDelegate, setDescription, setFbs, setKeystorepass, setKeystorepath, setLog_Enable, setLogFileName, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setProvider, setPstmtpoolsize, setPwdClear, setRecvbs, setRoundrobin, setSendbs, setServerName, setSsl, setTruststorepass, setTruststorepath, setUsepstmtpool, setUser, unwrap`

### Methods inherited from interface javax.sql.XADataSource

`createXAConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Constructor Detail

#### VirtuosoXADataSource

    public VirtuosoXADataSource​()

### Method Detail

#### getReference

    public javax.naming.Reference getReference​()
                                        throws javax.naming.NamingException

Overrides:
  `getReference` in class `VirtuosoConnectionPoolDataSource`
Throws:
  `javax.naming.NamingException`

#### getXAConnection

    public javax.sql.XAConnection getXAConnection​()
                                           throws java.sql.SQLException

Specified by:
  `getXAConnection` in interface `javax.sql.XADataSource`
Throws:
  `java.sql.SQLException`

#### getXAConnection

    public javax.sql.XAConnection getXAConnection​(java.lang.String user,
                                                  java.lang.String password)
                                           throws java.sql.SQLException

Specified by:
  `getXAConnection` in interface `javax.sql.XADataSource`
Throws:
  `java.sql.SQLException`